package siprp.planoactuacao.print;

import org.jdom.Element;

public class EmpresaToPrint
	implements PrintableInterface
{
	protected String designacaoSocial;
	protected String logotipo;
	protected String estabelecimento;
	
	public EmpresaToPrint( String designacaoSocial, String logotipo,
			String estabelecimento )
	{
		super();
		this.designacaoSocial = designacaoSocial;
		this.logotipo = logotipo;
		this.estabelecimento = estabelecimento;
	}

	public String getDesignacaoSocial()
	{
		return designacaoSocial;
	}

	public void setDesignacaoSocial( String designacaoSocial )
	{
		this.designacaoSocial = designacaoSocial;
	}

	public String getLogotipo()
	{
		return logotipo;
	}

	public void setLogotipo( String logotipo )
	{
		this.logotipo = logotipo;
	}

	public String getEstabelecimento()
	{
		return estabelecimento;
	}

	public void setEstabelecimento( String estabelecimento )
	{
		this.estabelecimento = estabelecimento;
	}

	@Override
	public Element toJdomElement() throws Exception
	{
		Element empresaElement = new Element( "empresa" );
		Element designacaoSocialElement = new Element( "designacao-social" );
		designacaoSocialElement.setText( designacaoSocial );
		empresaElement.addContent( designacaoSocialElement );
		Element logotipoElement = new Element( "logotipo" );
		logotipoElement.setText( logotipo );
		empresaElement.addContent( logotipoElement );
		Element estabelecimentoElement = new Element( "estabelecimento" );
		estabelecimentoElement.setText( estabelecimento );
		empresaElement.addContent( estabelecimentoElement );
		return empresaElement;
	}

}
